Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.event
Class OsgiServiceDependencyWaitTimedOutEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyEvent
                  org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyWaitTimedOutEvent

All Implemented Interfaces:
  Serializable

    public class OsgiServiceDependencyWaitTimedOutEvent

extends OsgiServiceDependencyEvent

Event raised when an OSGi service dependency could not be found in a certain amount of time. Normally thrown by OSGi importers, this event allows notifications of potential failures inside the application context due to missing (but required) OSGi dependencies.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OsgiServiceDependencyWaitTimedOutEvent(Object source, OsgiServiceDependency dependency, long elapsedTime)` Constructs a new `OsgiServiceDependencyWaitTimedOutEvent` instance.

Method Summary
`long` | `getElapsedTime()` Returns the time (in milliseconds) the source waited for OSGi service to appear before failing.

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyEvent
`getServiceDependency`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiServiceDependencyWaitTimedOutEvent

    public OsgiServiceDependencyWaitTimedOutEvent(Object source,
                                                  OsgiServiceDependency dependency,
                                                  long elapsedTime)

  Constructs a new `OsgiServiceDependencyWaitTimedOutEvent` instance.

  Parameters:
    `source` - event source (usually a service importer)
    `dependency` - service dependency description
    `elapsedTime` - time spent waiting

Method Detail

### getElapsedTime

    public long getElapsedTime()

  Returns the time (in milliseconds) the source waited for OSGi service to appear before failing.

  Returns:
    Returns the timeToWait

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.